Subject: bug#8325: 24.0.50; info-mode help is missing reference to `b' command

From: Glenn Morris <[email-masked]>
Date: Mon, 18 Jul 2011 13:51:58 -0400

Stefan Monnier wrote:

>> I'll create a new command `Info-beginning-of-buffer' and do the
>> advertising on that instead.
>
> Please don't.  It's specifically to avoid such hacks that
> I added :advertised-binding.  We should extend the feature to cover
> buffer-local cases.

As an aside, strictly speaking neither solution seems to be _necessary_
for this particular case, since the :advertised-binding stuff only has
an effect if the command in question is actually bound to the advertised
key, and beginning-of-buffer does not seem to be bound to "b" in any
mode except Info-mode-map.